<wpml-config>
	<custom-types>
		<custom-type translate="1">dsvy-portfolio</custom-type>
		<custom-type translate="1">dsvy-service</custom-type>
		<custom-type translate="1">dsvy-team-member</custom-type>
		<custom-type translate="1">dsvy-testimonial</custom-type>
		<custom-type translate="1">dsvy-client</custom-type>
	</custom-types>
	<taxonomies>
		<taxonomy translate="1">dsvy-portfolio-category</taxonomy>
		<taxonomy translate="1">dsvy-service-category</taxonomy>
		<taxonomy translate="1">dsvy-team-group</taxonomy>
		<taxonomy translate="1">dsvy-testimonial-cat</taxonomy>
		<taxonomy translate="1">dsvy-client-group</taxonomy>
	</taxonomies>
	<admin-texts>
		<key name="theme_mods_rodiar">
			<key name="preheader-left"/>
			<key name="preheader-right"/>
			<key name="header-btn-text"/>
			<key name="header-btn-text2"/>
			<key name="header-btn-url"/>
			<key name="overlay-box-left"/>
			<key name="overlay-box-right"/>
			<key name="copyright-text-box-1"/>
			<key name="copyright-text-box-2"/>
			<key name="copyright-text-box-3"/>
			<key name="copyright-text"/>
			<key name="portfolio-details">
				<key name="line_title"/>
				<key name="line_type"/>
			</key>
		</key>
	</admin-texts>
  
	<elementor-widgets>
		<widget name="dsvy_custom_heading">
			<conditions>
					<condition key="widgetType">dsvy_custom_heading</condition>
			</conditions>
			<fields>
				<field type="Title" editor_type="AREA">title</field>
				<field type="Title Link" editor_type="LINK">title_link>url</field>
			</fields>
		</widget>

		<widget name="dsvy_heading">
			<conditions>
					<condition key="widgetType">dsvy_heading</condition>
			</conditions>
			<fields>
				<field type="Title" editor_type="AREA">title</field>
				<field type="Title Link" editor_type="LINK">title_link>url</field>
				<field type="Subtitle" editor_type="AREA">subtitle</field>
				<field type="Subtitle Link" editor_type="LINK">subtitle_link>url</field>
				<field type="Description" editor_type="AREA">desc</field>
			</fields>
		</widget>

		<widget name="dsvy_icon_heading">
			<conditions>
				<condition key="widgetType">dsvy_icon_heading</condition>
			</conditions>
			<fields>
				<field type="Box Number" editor_type="LINE">box_number</field>
				<field type="Text for Icon" editor_type="LINE">icon_text</field>
				<field type="Title" editor_type="AREA">title</field>
				<field type="Title Link" editor_type="LINK">title_link>url</field>
				<field type="Subtitle" editor_type="AREA">subtitle</field>
				<field type="Subtitle Link" editor_type="LINK">subtitle_link>url</field>
				<field type="Description" editor_type="AREA">desc</field>
				<field type="Button Title" editor_type="LINE">btn_title</field>
				<field type="Button Link" editor_type="LINK">btn_link>url</field>
			</fields>
		</widget>

		<widget name="dsvy_multiple_icon_heading">
			<conditions>
				<condition key="widgetType">dsvy_multiple_icon_heading</condition>
			</conditions>
			<fields>
				<field type="Title" editor_type="AREA">title</field>
				<field type="Title Link" editor_type="LINK">title_link>url</field>
				<field type="Highlight text" editor_type="AREA">highlight_text</field>
				<field type="Subtitle" editor_type="AREA">subtitle</field>
				<field type="Subtitle Link" editor_type="LINK">subtitle_link>url</field>
				<field type="Description" editor_type="AREA">desc</field>
			</fields>
			<fields-in-item items_of="ihboxes">
				<field type="Text for Icon" editor_type="LINE">icon_text</field>
        <field type="Box Number" editor_type="LINE">box_number</field>
				<field type="Title" editor_type="AREA">title</field>
				<field type="Title Link" editor_type="LINK" key_of="title_link">url</field>
				<field type="Subtitle" editor_type="AREA">subtitle</field>
				<field type="Subtitle Link" editor_type="LINK" key_of="subtitle_link">url</field>
				<field type="Description" editor_type="AREA">desc</field>
				<field type="Button Title" editor_type="LINE">btn_title</field>
				<field type="Button Link" editor_type="LINK" key_of="btn_link">url</field>	
			</fields-in-item>
		</widget>

		<widget name="dsvy_fid_element">
			<conditions>
				<condition key="widgetType">dsvy_fid_element</condition>
			</conditions>
			<fields>
				<field type="Title" editor_type="AREA">title</field>
				<field type="Description" editor_type="AREA">desc</field>
        		<field type="Rotating Digit" editor_type="LINE">digit</field>
				<field type="Text Before Number (Prefix)" editor_type="LINE">before</field>
				<field type="Text After Number (Suffix)" editor_type="LINE">after</field>
			</fields>
		</widget>

		<widget name="dsvy_blog_element">
			<conditions>
				<condition key="widgetType">dsvy_blog_element</condition>
			</conditions>
			<fields>
				<field type="Title" editor_type="AREA">title</field>
				<field type="Title Link" editor_type="LINK">title_link>url</field>
				<field type="Subtitle" editor_type="AREA">subtitle</field>
				<field type="Subtitle Link" editor_type="LINK">subtitle_link>url</field>
				<field type="Description" editor_type="AREA">desc</field>
			</fields>
		</widget>

		<widget name="dsvy_client_element">
			<conditions>
				<condition key="widgetType">dsvy_client_element</condition>
			</conditions>
			<fields>
				<field type="Title" editor_type="AREA">title</field>
				<field type="Title Link" editor_type="LINK">title_link>url</field>
				<field type="Subtitle" editor_type="AREA">subtitle</field>
				<field type="Subtitle Link" editor_type="LINK">subtitle_link>url</field>
				<field type="Description" editor_type="AREA">desc</field>
			</fields>
		</widget>

		<widget name="dsvy_portfolio_element">
			<conditions>
				<condition key="widgetType">dsvy_portfolio_element</condition>
			</conditions>
			<fields>
				<field type="Title" editor_type="AREA">title</field>
				<field type="Title Link" editor_type="LINK">title_link>url</field>
				<field type="Subtitle" editor_type="AREA">subtitle</field>
				<field type="Subtitle Link" editor_type="LINK">subtitle_link>url</field>
				<field type="Description" editor_type="AREA">desc</field>
			</fields>
		</widget>

		<widget name="dsvy_ptable_element">
			<conditions>
				<condition key="widgetType">dsvy_ptable_element</condition>
			</conditions>
			<fields>
				<field type="Title" editor_type="AREA">title</field>
				<field type="Title Link" editor_type="LINK">title_link>url</field>
				<field type="Subtitle" editor_type="AREA">subtitle</field>
				<field type="Subtitle Link" editor_type="LINK">subtitle_link>url</field>
				<field type="Description" editor_type="AREA">desc</field>
			</fields>
			<fields>
				<field type="Highlight Text" editor_type="LINE">highlight_text</field>
			</fields>
		</widget>

		<widget name="dsvy_service_element">
			<conditions>
				<condition key="widgetType">dsvy_service_element</condition>
			</conditions>
			<fields>
				<field type="Title" editor_type="AREA">title</field>
				<field type="Title Link" editor_type="LINK">title_link>url</field>
				<field type="Subtitle" editor_type="AREA">subtitle</field>
				<field type="Subtitle Link" editor_type="LINK">subtitle_link>url</field>
				<field type="Description" editor_type="AREA">desc</field>
			</fields>
		</widget>

		<widget name="dsvy_team_element">
			<conditions>
				<condition key="widgetType">dsvy_team_element</condition>
			</conditions>
			<fields>
				<field type="Title" editor_type="AREA">title</field>
				<field type="Title Link" editor_type="LINK">title_link>url</field>
				<field type="Subtitle" editor_type="AREA">subtitle</field>
				<field type="Subtitle Link" editor_type="LINK">subtitle_link>url</field>
				<field type="Description" editor_type="AREA">desc</field>
			</fields>
		</widget>

		<widget name="dsvy_testimonial_element">
			<conditions>
				<condition key="widgetType">dsvy_testimonial_element</condition>
			</conditions>
			<fields>
				<field type="Title" editor_type="AREA">title</field>
				<field type="Title Link" editor_type="LINK">title_link>url</field>
				<field type="Subtitle" editor_type="AREA">subtitle</field>
				<field type="Subtitle Link" editor_type="LINK">subtitle_link>url</field>
				<field type="Description" editor_type="AREA">desc</field>
			</fields>
		</widget>

    <widget name="dsvy_event_element">
			<conditions>
				<condition key="widgetType">dsvy_event_element</condition>
			</conditions>
			<fields>
				<field type="Title" editor_type="AREA">title</field>
				<field type="Title Link" editor_type="LINK">title_link>url</field>
				<field type="Subtitle" editor_type="AREA">subtitle</field>
				<field type="Subtitle Link" editor_type="LINK">subtitle_link>url</field>
				<field type="Description" editor_type="AREA">desc</field>
			</fields>
		</widget>

		<widget name="dsvy_tabs_element">
			<conditions>
				<condition key="widgetType">dsvy_tabs_element</condition>
			</conditions>
			<fields-in-item items_of="tabs">
				<field type="Title" editor_type="LINE">tab_title</field>
				<field type="Content" editor_type="AREA">tab_content</field>
			</fields-in-item>
		</widget>
		
		<widget name="dsvy_timeline_element">
			<conditions>
				<condition key="widgetType">dsvy_timeline_element</condition>
			</conditions>
			<fields>
				<field type="Title" editor_type="AREA">title</field>
				<field type="Title Link" editor_type="LINK">title_link>url</field>
				<field type="Subtitle" editor_type="AREA">subtitle</field>
				<field type="Subtitle Link" editor_type="LINK">subtitle_link>url</field>
				<field type="Description" editor_type="AREA">desc</field>
			</fields>
			<fields-in-item items_of="values">
				<field>image</field>
				<field type="Small text" editor_type="LINE">small_text</field>
				<field type="Title" editor_type="LINE">title_text</field>
				<field type="Description" editor_type="AREA">desc_text</field>
			</fields-in-item>
		</widget>

	</elementor-widgets>
</wpml-config>
